org.wildfly.swarm.config.messaging.activemq.server

## Class HTTPConnector<T extends HTTPConnector<T>>

- java.lang.Object
- - org.wildfly.swarm.config.messaging.activemq.server.HTTPConnector<T>

-     public class HTTPConnector<T extends HTTPConnector<T>>
      extends Object

  Used by a remote client to define how it connects to a server over HTTP.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HTTPConnector(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `endpoint()` The http-acceptor that serves as the endpoint of this http-connector.
    `T` | `endpoint(String value)` The http-acceptor that serves as the endpoint of this http-connector.
    `String` | `getKey()`
    `T` | `param(String key, Object value)` A key-value pair understood by the connector factory-class and used to configure it.
    `Map` | `params()` A key-value pair understood by the connector factory-class and used to configure it.
    `T` | `params(Map value)` A key-value pair understood by the connector factory-class and used to configure it.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `String` | `serverName()` The name of the ActiveMQ Artemis server that will be connected to on the remote server.
    `T` | `serverName(String value)` The name of the ActiveMQ Artemis server that will be connected to on the remote server.
    `String` | `socketBinding()` The socket binding that the connector will use to create connections.
    `T` | `socketBinding(String value)` The socket binding that the connector will use to create connections.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HTTPConnector

          public HTTPConnector(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### endpoint

          public String endpoint()

      The http-acceptor that serves as the endpoint of this http-connector.

    - #### endpoint

          public T endpoint(String value)

      The http-acceptor that serves as the endpoint of this http-connector.

    - #### params

          public Map params()

      A key-value pair understood by the connector factory-class and used to configure it.

    - #### params

          public T params(Map value)

      A key-value pair understood by the connector factory-class and used to configure it.

    - #### param

          public T param(String key,
                         Object value)

      A key-value pair understood by the connector factory-class and used to configure it.

    - #### serverName

          public String serverName()

      The name of the ActiveMQ Artemis server that will be connected to on the remote server. If undefined, the name of the parent ActiveMQ Artemis server will be used (suitable if the http-connector is used to connect to the parent server)

    - #### serverName

          public T serverName(String value)

      The name of the ActiveMQ Artemis server that will be connected to on the remote server. If undefined, the name of the parent ActiveMQ Artemis server will be used (suitable if the http-connector is used to connect to the parent server)

    - #### socketBinding

          public String socketBinding()

      The socket binding that the connector will use to create connections.

    - #### socketBinding

          public T socketBinding(String value)

      The socket binding that the connector will use to create connections.

Copyright © 2017 JBoss by Red Hat. All rights reserved.